Package org.apache.sysds.hops.codegen.template

## Class CPlanCSERewriter

- java.lang.Object
- - org.apache.sysds.hops.codegen.template.CPlanCSERewriter

    public class CPlanCSERewriter
    extends Object

### Constructor Summary

Constructors
`CPlanCSERewriter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CNodeTpl` `eliminateCommonSubexpressions​(CNodeTpl tpl)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CPlanCSERewriter

    public CPlanCSERewriter()

### Method Detail

#### eliminateCommonSubexpressions

    public CNodeTpl eliminateCommonSubexpressions​(CNodeTpl tpl)